#!/bin/sh


# give some proper credit
(
if [ ! "$(grep Stefanussen usr/share/wallpapers/CREDITS)" ];then
  echo 'Ice.jpg           : Dagfinn Stefanussen. Bardufoss, Norway' >> usr/share/wallpapers/CREDITS
  echo 'overthere*        : Vectorian "overthere"' >> usr/share/wallpapers/CREDITS
fi
)

# copy IceWM config files to user home dirs and modify gtk settings if not already set
(
for i in $(grep home etc/passwd | cut -d":" -f1 | sed -e s/ftp//);do
  cp -a etc/skel/.icewm home/$i/
  chown -R $i:$i home/$i/.icewm

  if [ "$(grep gtk-icon-theme-name home/$i/.gtkrc-2.0)" ];then
    echo icon theme already set for $i
    else
      echo ""  >> home/$i/.gtkrc-2.0
      echo 'gtk-icon-theme-name="Tango"' >> home/$i/.gtkrc-2.0
  fi
  if [ "$(grep gtk-theme-name home/$i/.gtkrc-2.0)" ];then
    echo theme already set for $i
    else
      echo ""  >> home/$i/.gtkrc-2.0
      echo 'gtk-theme-name="projets-divers-clearlooks-phenix"' >> home/$i/.gtkrc-2.0
  fi
done
)

# set themes for root
(
if [ "$(grep gtk-icon-theme-name root/.gtkrc-2.0)" ];then
  echo "icon theme already set for root"
  else
    echo "" >> root/.gtkrc-2.0
    echo 'gtk-icon-theme-name="projets-divers-clearlooks-phenix"' >> root/.gtkrc-2.0
fi
if [ "$(grep gtk-icon-theme-name root/.gtkrc-2.0)" ];then
  echo "theme already set for root"
  else
    echo "" >> root/.gtkrc-2.0
    echo 'gtk-theme-name="Tango"' >> root/.gtkrc-2.0
fi
)

# make sure there is a "Terminal" file
( if [ ! -e usr/bin/Terminal ];then cd usr/bin; ln -s terminal Terminal;fi )

